Subject: Re: bug#60338: [PATCH] Add option to present server changes as diffs

From: Dmitry Gutov <[email-masked]>
Date: Thu, 7 Sep 2023 15:41:55 +0300

On 07/09/2023 09:28, Juri Linkov wrote:
>> Two other thoughts after trying it:
>>
>> - I would probably want to bind the originally proposed
>>    'diff-apply-everything' to 'C-c C-c' (e.g. "commit the change to disk"),
>>    but that's already taken in diff-mode.
> If there are no more intuitive keys, maybe then use the proposed by Philip
> 'C-c C-x'?

IDK, seems a little dangerous given to its proximity to 'C-x C-c'.

Personally, the existing 'C-c C-c' binding seems unnecessary given that 
this command has 6 other bindings already.

If we chose to replace it, we could just start the new command with a 
prompt (Apply all changes from diff?), so it doesn't surprise anyone.